package file_perm

import (
	"os"

	"git.tswf.io/incredible-go/incredible-go-core/pkg/io/files"
)

func GetPermForDir(dirLocation string) os.FileMode {
	userHome, err := os.UserHomeDir()

	if err == nil {
		if files.IsFileLocatedIn(dirLocation, userHome) {
			return DirUserPermitted
		}
	}

	return DirAllPermitted
}
